Project

General

Profile

Actions

Bug #5446

open

Installer fails to recognize LSI 9211 firmware greater than r18

Added by Warren V over 7 years ago. Updated over 7 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
-
Start date:
2014-12-18
Due date:
% Done:

0%

Estimated time:
Difficulty:
Bite-size
Tags:
needs-triage
Gerrit CR:

Description

When installing OmniOS r151012, controller recognition fails for LSI 9211 cards using r19 and r20 controller firmware. Controllers using r18 are recognized correctly. This issue manifests as "unrecognized device" or "unrecognized drive" errors during installation drive detection, and can hang the installation process.

Workaround was to pull the controller cards in question during installation (to a usb flash drive), then replace them after installation. The cards (and their hosted drives) are recognized correctly by the installed OS.

Downgrading the firmware to r18 also worked, but is not a long-term solution. I'm not sure if this affects other LSI products using updated firmware.

Actions

Also available in: Atom PDF